Subject: bug#54407: Issues building grub for powerpc64le, could not force big-endian

From: Maxime Devos <[email-masked]>
Date: Wed, 30 Mar 2022 19:46:55 +0200

Christopher Baines schreef op di 15-03-2022 om 21:11 [+0000]:
> grub can't be built for powerpc64le, I believe the same failure
> occurs
> with native builds or cross compilation from x86_64. I think this
> might
> have always been the case.
> 
> This is the error from the build log:
> 
>   checking for options to get big-endian compilation... no
>   configure: error: could not force big-endian
> 
> Looking in the config.log file, it tries a bunch of options with
> different errors, but this one stands out:
> 
>   cc1: error: '-m32' not supported in this configuration
> 
> I know very little about gcc, but I think this might relate to the
> multilib thing, which I'm guessing is disabled for the gcc in use
> here.
> 
> Any ideas about this issue?

Maybe you could add a gcc compiling for 32-bit ppc (maybe without a
glibc since this is grub) and patch the configuration script to use the
32-bit ppc gcc instead of using the 64-bit ppc+-m32?

Greetings,
Maxime.